### File

`packages/components/externals/charts/chart/chart.component.ts`

### Implements

`OnChanges` `OnDestroy`

### Metadata

selector | `eui-apex-chart`
template |
    <div #chart></div>

### Index

###### Properties
Readonly annotations Readonly autoUpdateSeries Readonly chart Readonly chartInstance Readonly chartReady Readonly colors Readonly dataLabels Readonly fill Readonly forecastDataPoints Readonly grid Readonly labels Readonly legend Readonly markers Readonly noData Readonly plotOptions Readonly responsive Readonly series Readonly states Readonly stroke Readonly subtitle Readonly theme Readonly title Readonly tooltip Readonly xaxis Readonly yaxis
###### Methods
Public addPointAnnotation Public addXaxisAnnotation Public addYaxisAnnotation Public appendData Public appendSeries Public clearAnnotations Public dataURI Public destroy Public hideSeries Public highlightSeries Public paper Public removeAnnotation Public render Public resetSeries Public setLocale Public showSeries Public toggleDataPointSelection Public toggleSeries Public updateOptions Public updateSeries Public zoomX
###### Inputs
annotations autoUpdateSeries chart dataLabels fill forecastDataPoints grid legend markers noData plotOptions states stroke subtitle theme title tooltip xaxis

### Inputs

annotations

autoUpdateSeries
Default value : `true`

chart

dataLabels

fill

forecastDataPoints

grid

legend

markers

noData

plotOptions

states

stroke

subtitle

theme

title

tooltip

xaxis

### Methods

Public addPointAnnotation
`addPointAnnotation(options: any, pushToMemory?: boolean, context?: any)`
Parameters :
Name | Type | Optional
options | `any` | No
pushToMemory | `boolean` | Yes
context | `any` | Yes
Returns : `void`

Public addXaxisAnnotation
`addXaxisAnnotation(options: any, pushToMemory?: boolean, context?: any)`
Parameters :
Name | Type | Optional
options | `any` | No
pushToMemory | `boolean` | Yes
context | `any` | Yes
Returns : `void`

Public addYaxisAnnotation
`addYaxisAnnotation(options: any, pushToMemory?: boolean, context?: any)`
Parameters :
Name | Type | Optional
options | `any` | No
pushToMemory | `boolean` | Yes
context | `any` | Yes
Returns : `void`

Public appendData
`appendData(newData: any[])`
Parameters :
Name | Type | Optional
newData | `any[]` | No
Returns : `void`

Public appendSeries
`appendSeries(newSeries: ApexAxisChartSeries | ApexNonAxisChartSeries, animate?: boolean)`
Parameters :
Name | Type | Optional
newSeries | `ApexAxisChartSeries | ApexNonAxisChartSeries` | No
animate | `boolean` | Yes
Returns : `void`

Public clearAnnotations
`clearAnnotations(options?: any)`
Parameters :
Name | Type | Optional
options | `any` | Yes
Returns : `void`

Public dataURI
`dataURI(options?: any)`
Parameters :
Name | Type | Optional
options | `any` | Yes
Returns : `any`

Public destroy
`destroy()`
Returns : `void`

Public hideSeries
`hideSeries(seriesName: string)`
Parameters :
Name | Type | Optional
seriesName | `string` | No
Returns : `void`

Public highlightSeries
`highlightSeries(seriesName: string)`
Parameters :
Name | Type | Optional
seriesName | `string` | No
Returns : `any`

Public paper
`paper()`
Returns : `void`

Public removeAnnotation
`removeAnnotation(id: string, options?: any)`
Parameters :
Name | Type | Optional
id | `string` | No
options | `any` | Yes
Returns : `void`

Public render
`render()`
Returns : `any`

Public resetSeries
`resetSeries()`
Returns : `void`

Public setLocale
`setLocale(localeName: string)`
Parameters :
Name | Type | Optional
localeName | `string` | No
Returns : `void`

Public showSeries
`showSeries(seriesName: string)`
Parameters :
Name | Type | Optional
seriesName | `string` | No
Returns : `void`

Public toggleDataPointSelection
`toggleDataPointSelection(seriesIndex: number, dataPointIndex?: number)`
Parameters :
Name | Type | Optional
seriesIndex | `number` | No
dataPointIndex | `number` | Yes
Returns : `void`

Public toggleSeries
`toggleSeries(seriesName: string)`
Parameters :
Name | Type | Optional
seriesName | `string` | No
Returns : `any`

Public updateOptions
`updateOptions(options: any, redrawPaths?: boolean, animate?: boolean, updateSyncedCharts?: boolean)`
Parameters :
Name | Type | Optional
options | `any` | No
redrawPaths | `boolean` | Yes
animate | `boolean` | Yes
updateSyncedCharts | `boolean` | Yes
Returns : `any`

Public updateSeries
`updateSeries(newSeries: ApexAxisChartSeries | ApexNonAxisChartSeries, animate?: boolean)`
Parameters :
Name | Type | Optional
newSeries | `ApexAxisChartSeries | ApexNonAxisChartSeries` | No
animate | `boolean` | Yes
Returns : `any`

Public zoomX
`zoomX(min: number, max: number)`
Parameters :
Name | Type | Optional
min | `number` | No
max | `number` | No
Returns : `void`

### Properties

Readonly annotations

Readonly autoUpdateSeries
Default value : `true`

Readonly chart

Readonly chartInstance
Default value : `signal<ApexCharts | null>(null)`

Readonly chartReady
Default value : `output<{ chartObj: ApexCharts }>()`

Readonly colors
Default value : `input<any[]>()`

Readonly dataLabels

Readonly fill

Readonly forecastDataPoints

Readonly grid

Readonly labels
Default value : `input<string[]>()`

Readonly legend

Readonly markers

Readonly noData

Readonly plotOptions

Readonly responsive
Default value : `input<ApexResponsive[]>()`

Readonly series
Default value : `input<ApexAxisChartSeries | ApexNonAxisChartSeries>()`

Readonly states

Readonly stroke

Readonly subtitle

Readonly theme

Readonly title

Readonly tooltip

Readonly xaxis

Readonly yaxis
Default value : `input<ApexYAxis | ApexYAxis[]>()`

# results matching ""

# No results matching ""